agents
Get your config for an agent
The config you chose for this agent, used for your own calls through it. For anyone who may use the agent and doesn’t own it.
GET
/
api
/
agents
/
{id}
/
my-llm-config
Get your config for an agent
curl --request GET \
--url https://free.app.nasiko.com/api/agents/{id}/my-llm-config \
--header 'Authorization: Bearer <token>'import requests
url = "https://free.app.nasiko.com/api/agents/{id}/my-llm-config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://free.app.nasiko.com/api/agents/{id}/my-llm-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://free.app.nasiko.com/api/agents/{id}/my-llm-config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://free.app.nasiko.com/api/agents/{id}/my-llm-config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://free.app.nasiko.com/api/agents/{id}/my-llm-config")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://free.app.nasiko.com/api/agents/{id}/my-llm-config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"llm_config": "<unknown>",
"llm_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"message": "<string>",
"status_code": 1
}Authorizations
Response
The caller's chosen config, or nulls when unset
⌘I
Get your config for an agent
curl --request GET \
--url https://free.app.nasiko.com/api/agents/{id}/my-llm-config \
--header 'Authorization: Bearer <token>'import requests
url = "https://free.app.nasiko.com/api/agents/{id}/my-llm-config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://free.app.nasiko.com/api/agents/{id}/my-llm-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://free.app.nasiko.com/api/agents/{id}/my-llm-config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://free.app.nasiko.com/api/agents/{id}/my-llm-config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://free.app.nasiko.com/api/agents/{id}/my-llm-config")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://free.app.nasiko.com/api/agents/{id}/my-llm-config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"llm_config": "<unknown>",
"llm_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"message": "<string>",
"status_code": 1
}